# Advanced Bb Codes Pack

## Supports the following general bb-codes:

- abbr
- accordion
- anchor (TinyQuattro compatible)
- article
- bimg
- encadre
- gview
- latex
- slider
- xtable (TinyQuattro compatible, much more advanced than XF2.1 built-in version)
- tabs
- time
- hr (can be a self-closing tag)
- h1
- h2
- h3
- h4
- fleft/fright - float left/right

## Editor dialogs

The following bb-code have pop-up editor dialogs for creating new instances, but not for full editing;

- abbr
- accordion
- anchor
- article
- bimg
- encadre
- fieldset
- latex
- slider
- tabs
- time
- mod bb-code

## Compatibility shim:

- Spoilerbb rewrites to XF native spoiler
- Rewrite XF native spoiler to non-blury spoiler

## Moderator only bb-code:

- alert
- warning
- stop
- information

If Threadmarks Pro is installed, these will automatically create a threadmark in the defined category (see 'Threadmark category Id' option).

If SVG Templates is installed, an SVG icon is added besides the warning banner.

## Other features

- Per-style option to add a word counter to the editor
- Support for making `[size]` and `[ident]` bb-codes output `rem` units instead of `px` (allows font-scaling)
- Option to enable transparent color support
- Per-device option to show text with 'transparent' color as inline-spoiler via toggle on each post
- Add `abs`/`parse_less_func` template functions
- The list of "moderator only" bb-code can be adjusted
- The list of "auto-threadmark if used" bb-code can be adjusted
- Sort bb-code's by title in admincp bb-code list

## Licencing

Based off bb-code from the Creative Commons BY 3.0 'BbCodes & Buttons Manager - Advanced Bb Codes Pack' add-on; https://xenforo.com/community/resources/bbcodes-buttons-manager-advanced-bb-codes-pack.1428/