<?php

namespace SV\AdvancedBbCodesPack\XF\BbCode;

/**
 * Extends \XF\BbCode\Parser
 */
class Parser extends XFCP_Parser
{
    /**
     * @param string $originalText
     * @param string $tag
     * @param string $option
     */
    protected function openTag($originalText, $tag, $option = null)
    {
        $lastTag = $this->tagStack[0] ?? null;
        if ($lastTag['modifiers']['selfClosing'] ?? false)
        {
            $pendingText = $this->pendingText;
            $this->pendingText = '';

            $lastTagTag = $lastTag['tag'];
            $this->closeTag("[/{$lastTagTag}]", $lastTagTag);

            $this->pendingText = $pendingText;
        }

        parent::openTag($originalText, $tag, $option);
    }
}