<?php

namespace SV\AdvancedBbCodesPack\XF\BbCode\ProcessorAction;

class AutoLink extends XFCP_AutoLink
{
    protected function getUnfurlBbCode($url)
    {
        // XF2.2+ never actually uses the result of logPendingUnfurl beyond needing an id to be returned
        /** @var \XF\Repository\Unfurl $unfurlRepo */
        $unfurlRepo = $this->app->repository('XF:Unfurl');
        $result = $unfurlRepo->logPendingUnfurl($url);

        if ($result === false)
        {
            return false;
        }

        return '[URL unfurl="true"]' . $url . '[/URL]';
    }
}