<?php

namespace SV\AdvancedBbCodesPack\XF\ControllerPlugin;

use SV\AdvancedBbCodesPack\BbCode\Renderer\StyleTrait;
use XF\Mvc\Entity\Entity;

/**
 * Extends \XF\ControllerPlugin\Quote
 */
class Quote extends XFCP_Quote
{
    use StyleTrait;

    /** @noinspection PhpMissingReturnTypeInspection */
    public function getQuote(Entity $content, $message, $context)
    {
        $result = parent::getQuote($content, $message, $context);

        if (isset($result[1]) &&
            $this->getStyleProperty('svDisableQuotesInEditor',null, false))
        {
            $result[1] .= '<p></p>';
        }

        return $result;
    }
}