<?php

namespace SV\AdvancedBbCodesPack\XF\Data;

/**
 * Extends \XF\Data\Editor
 */
class Editor extends XFCP_Editor
{
    public function getStandardButtons(): array
    {
        $buttons = parent::getStandardButtons();

        if (!\array_key_exists('fullscreen', $buttons) && (\XF::options()->svFullScreenEditorButton ?? false))
        {
            $buttons['fullscreen'] = [
                'fa' => 'fas fa-expand',
                'title' => \XF::phrase('svAdvancedBbCodePack_fullscreen_button')
            ];
        }

        return $buttons;
    }
}