<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Service\Unfurl;

/**
 * Extends \XF\Service\Unfurl\Fetcher
 */
class Fetcher extends XFCP_Fetcher
{
    public function render()
    {
        $app = $this->app;
        $templater = $app->templater();
        if ($templater->getStyle() === null)
        {
            $style = $app->style(\XF::visitor()->style_id);
            $templater->setStyle($style);
            $templater->addDefaultParam('xf', $app->getGlobalTemplateData());
        }

        return parent::render();
    }
}