<?php
namespace SV\AdvancedBbCodesPack\Repository;

use XF\Mvc\Entity\Repository;

class WordMap extends Repository
{
    public function getWordCountPhrasesMap(): array
    {
        $phraseMaps = [];

        $labels = $this->options()->svAdvancedBBCode_wordCountLabels ?? [];
        foreach ($labels AS $labelIndex => $label)
        {
            $phraseMaps[] = [
                'word_count' => $label['word_count'],
                'operator' => $label['operator'],
                'label' => \XF::phrase("svAdvancedBbCode_word_count.{$labelIndex}", [
                    'name' => \XF::visitor()->username
                ])->render('json'),
            ];
        }

        return $phraseMaps;
    }
}