<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Entity;

use XF\Mvc\Entity\Structure as EntityStructure;

/**
 * @since 1.7.8
 */
class User extends XFCP_User
{
    /**
     * @param EntityStructure $structure
     *
     * @return EntityStructure
     */
    public static function getStructure(EntityStructure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->options['svAdvancedBbCodesPack'] = true;
    
        return $structure;
    }
}